Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1423872 - libpsm2: FTBFS in rawhide
Summary: libpsm2: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libpsm2
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: aravind.gopalakrishnan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 15:04 UTC by Fedora Release Engineering
Modified: 2017-07-23 03:53 UTC (History)
4 users (show)

Fixed In Version: libpsm2-10.2.103_1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 03:53:51 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2017-02-17 15:04 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2017-02-17 15:04 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2017-02-17 15:04 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 15:04:23 UTC
Your package libpsm2 failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17734015

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 15:04:29 UTC
Created attachment 1252945 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 15:04:32 UTC
Created attachment 1252946 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 15:04:35 UTC
Created attachment 1252947 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 11:45:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 aravind.gopalakrishnan 2017-03-30 00:31:26 UTC
I have a fix for the build failures. How can I push an update to the package?

Should I just push a patch to http://pkgs.fedoraproject.org/cgit/rpms/libpsm2.git/?

Comment 6 Honggang LI 2017-03-30 09:55:17 UTC
(In reply to aravind.gopalakrishnan from comment #5)
> I have a fix for the build failures. How can I push an update to the package?
> 

Please push the patch into upstream git repo: https://github.com/01org/opa-psm2

We will backport the patch or package latest release with the patch.

Thanks

Comment 7 aravind.gopalakrishnan 2017-03-30 19:24:31 UTC
(In reply to Honggang LI from comment #6)
> (In reply to aravind.gopalakrishnan from comment #5)
> > I have a fix for the build failures. How can I push an update to the package?
> > 
> 
> Please push the patch into upstream git repo:
> https://github.com/01org/opa-psm2
> 
> We will backport the patch or package latest release with the patch.
> 
> Thanks


Thanks, Honggang. Internally the patch is going through further tests and CI runs. I should be able to push this up next week. Would that work? Are there other Fedora deadlines I should keep in mind?

Comment 8 Honggang LI 2017-03-30 22:52:49 UTC
Yes, it sounds good. If we passed some deadline, we will file an update ticket through https://bodhi.fedoraproject.org. Fedora users who impacted by this issue will get the updated libpsm2 package by execute "yum/dnf update".

Comment 9 Honggang LI 2017-04-10 04:54:51 UTC
(In reply to aravind.gopalakrishnan from comment #7)

> Internally the patch is going through further tests and CI
> runs. I should be able to push this up next week.

Did you pushed the patch to upstream?

Comment 10 aravind.gopalakrishnan 2017-04-10 16:20:25 UTC
(In reply to Honggang LI from comment #9)

> Did you pushed the patch to upstream?

Hi Honggang,

I still don't have an internal build that incorporates this patch. It seems to be taking longer than I initially anticipated. So, I haven't been able to push it upstream.

Comment 11 aravind.gopalakrishnan 2017-04-12 21:45:53 UTC
(In reply to Honggang LI from comment #9)

> Did you pushed the patch to upstream?

Hi Honggang,

The patch has been pushed upstream and is in a separate branch:
https://github.com/01org/opa-psm2/tree/gcc7_fixes

Please backport and let me know if you have any issues.

Comment 12 Honggang LI 2017-04-13 07:12:39 UTC
Confirmed the patch works as scratch RPM building works. But I can't submit commit to the git repo, please approve my Commit Access Request. Thanks.

Comment 13 aravind.gopalakrishnan 2017-04-13 16:19:32 UTC
(In reply to Honggang LI from comment #12)
> Confirmed the patch works as scratch RPM building works. But I can't submit
> commit to the git repo, please approve my Commit Access Request. Thanks.

Thanks for confirming it works. Regarding commit access request- apologies, but I have not done that before. How do I approve your commit request? (I don't see any email notifications for it and I checked in FAS for any to-do items, but I don't see any)

Comment 14 Honggang LI 2017-04-14 00:29:34 UTC
https://admin.fedoraproject.org/pkgdb/package/rpms/libpsm2/

Please login and approve.

Comment 15 aravind.gopalakrishnan 2017-04-14 16:36:06 UTC
(In reply to Honggang LI from comment #14)
> https://admin.fedoraproject.org/pkgdb/package/rpms/libpsm2/
> 
> Please login and approve.


Done.

Comment 16 Upstream Release Monitoring 2017-04-18 07:38:45 UTC
honli's libpsm2-10.2.103_1-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=881124

Comment 17 Fedora Update System 2017-04-18 07:52:35 UTC
libpsm2-10.2.103_1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e94d6bb44c

Comment 18 Fedora Update System 2017-04-18 19:54:08 UTC
libpsm2-10.2.103_1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e94d6bb44c

Comment 19 Fedora Update System 2017-07-23 03:53:51 UTC
libpsm2-10.2.103_1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.